<?php

class lcTelegramDelivery extends leadCaptureDelivery {

  private static function getBotKey() {
    return variable_get('lc_telegram_bot_key');
  }

  private static function getChatId() {
    return variable_get('lc_telegram_chat_id');
  }

  public static function run($actionHandler) {
    $context = $actionHandler->getContext();
    $data = $actionHandler->getData();

    $url = 'https://api.telegram.org/bot' . self::getBotKey() . '/sendMessage';
    $message = array(
      'text' => $context['title'] . "\n" . implode("\n", $data),
      'chat_id' => self::getChatId(),
    );

    self::sendMessage($url, $message);
  }

  public static function sendMessage($url, $message) {
    $options = array(
      'method' => 'POST',
      'data' => drupal_json_encode($message),
      'timeout' => 15,
      'headers' => array('Content-Type' => 'application/json'),
    );
    $request = drupal_http_request($url, $options);
    // Need to processing and check return code ($request->code == 200 )
  }

}
